aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-22 12:22:07 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-22 12:22:07 +0000
commit6b052e1df00357dfdd96966550fa36d3e5741dfd (patch)
tree3536f1d25b558bcc009ac0681e18e7a5c9e04b01
parented882187b3b2b9115fadd7bcf80eee1fe2036fca (diff)
downloadaports-6b052e1df00357dfdd96966550fa36d3e5741dfd.tar.gz
aports-6b052e1df00357dfdd96966550fa36d3e5741dfd.tar.bz2
aports-6b052e1df00357dfdd96966550fa36d3e5741dfd.tar.xz
community/ckermit: moved from testing
-rw-r--r--community/ckermit/APKBUILD (renamed from testing/ckermit/APKBUILD)23
1 files changed, 11 insertions, 12 deletions
diff --git a/testing/ckermit/APKBUILD b/community/ckermit/APKBUILD
index 7aef9bca6f..e7cab9e79b 100644
--- a/testing/ckermit/APKBUILD
+++ b/community/ckermit/APKBUILD
@@ -1,5 +1,5 @@
-# Contributor: Francesco Colista <francesco.colista@gmail.com>
-# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=ckermit
pkgver=9.0.302
pkgrel=0
@@ -8,8 +8,7 @@ url="http://www.columbia.edu/kermit/ck90.html"
arch="all"
license="custom"
depends=""
-depends_dev="ncurses-dev"
-makedepends="$depends_dev"
+makedepends="ncurses-dev"
install=""
subpackages="$pkgname-doc"
source="http://www.kermitproject.org/ftp/kermit/archives/cku${pkgver/9.0./}.tar.gz"
@@ -23,16 +22,16 @@ build() {
package() {
cd "$_builddir"
- mkdir -m 0755 -p $pkgdir/usr/bin || return 1
- mkdir -m 0755 -p $pkgdir/usr/share/man/man1 || return 1
+ mkdir -m 0755 -p $pkgdir/usr/bin || return 1
+ mkdir -m 0755 -p $pkgdir/usr/share/man/man1 || return 1
- install -Dm644 COPYING.TXT $pkgdir/usr/share/licenses/custom/$pkgname/COPYING.txt
- install -m 755 wermit $pkgdir/usr/bin/ckermit || return 1
- install -m 644 ckuker.nr $pkgdir/usr/share/man/man1/ckermit.1 || return 1
+ install -Dm644 COPYING.TXT $pkgdir/usr/share/licenses/custom/$pkgname/COPYING.txt
+ install -m 755 wermit $pkgdir/usr/bin/ckermit || return 1
+ install -m 644 ckuker.nr $pkgdir/usr/share/man/man1/ckermit.1 || return 1
- echo "#!/usr/bin/ckermit" > _tmp.ini
- cat ckermit.ini >> _tmp.ini
- install -m 755 _tmp.ini $pkgdir/usr/bin/ckermit.ini
+ echo "#!/usr/bin/ckermit" > _tmp.ini
+ cat ckermit.ini >> _tmp.ini
+ install -m 755 _tmp.ini $pkgdir/usr/bin/ckermit.ini
}
md5sums="eac4dbf18b45775e4cdee5a7c74762b0 cku302.tar.gz"